diff --git a/src/names.c b/src/names.c
index 603b536..44064ec 100644
--- a/src/names.c
+++ b/src/names.c
@@ -104,47 +104,11 @@ void make_names(bool daemon) {
 	}
 
 #else
-	bool fallback = false;
-
-	if(daemon) {
-		if(access(LOCALSTATEDIR, R_OK | W_OK | X_OK)) {
-			fallback = true;
-		}
-	} else {
-		char fname[PATH_MAX];
-		snprintf(fname, sizeof(fname), LOCALSTATEDIR SLASH "run" SLASH "%s.pid", identname);
-
-		if(access(fname, R_OK)) {
-			snprintf(fname, sizeof(fname), "%s" SLASH "pid", confbase);
-
-			if(!access(fname, R_OK)) {
-				fallback = true;
-			}
-		}
-	}
-
-	if(!fallback) {
-		if(!logfilename) {
-			xasprintf(&logfilename, LOCALSTATEDIR SLASH "log" SLASH "%s.log", identname);
-		}
-
-		if(!pidfilename) {
-			xasprintf(&pidfilename, LOCALSTATEDIR SLASH "run" SLASH "%s.pid", identname);
-		}
-	} else {
-		if(!logfilename) {
-			xasprintf(&logfilename, "%s" SLASH "log", confbase);
-		}
-
-		if(!pidfilename) {
-			if(daemon) {
-				logger(DEBUG_ALWAYS, LOG_WARNING, "Could not access " LOCALSTATEDIR SLASH " (%s), storing pid and socket files in %s" SLASH, strerror(errno), confbase);
-			}
-
-			xasprintf(&pidfilename, "%s" SLASH "pid", confbase);
-		}
-	}
+	if(!logfilename)
+		xasprintf(&logfilename, "/var/log" SLASH "%s.log", identname);
 
+	if(!pidfilename)
+		xasprintf(&pidfilename, "/run" SLASH "%s.pid", identname);
 #endif
 
 	if(!unixsocketname) {
